@plugins/plugin-data-loader and premium forecasts


  • Paraglider

    Hey,

    It seems like the plugin-data-loader does not return the premium forecasts (i.e. more runs for ECMWF).

    There are 2 problems:

    1. by default the api send a POST request without credentials,
    2. even if I force the credentials to be sent (by manually setting the option before the XHR is sent) then the same forecasts are returned instead of the latest premium ones.

    Could you please consider fixing those 2 points (1 on the frontend and 2 on the backend) ?

    Having the premium forecasts available in the plugin would give more incentive to users to buy premium.

    Thanks

    Simple repro code:

    W.require("@plugins/plugin-data-loader")({
      key: "QKlmnpLWr2rZSyFaT7LpxZc0d5bo34D4",
      plugin: "windy-plugin-sounding"
    })("airData", {lat: 40, lon: -120, model: "ecmwf"});
    

Log in to reply
 

Windyty, S.E. - all rights reserved. Powered by excellent NodeBB
NodeBB & contributors, OSM & contributors, HERE maps
Terms and Conditions     Privacy Policy